Sign in to follow this  
Howiefly13

GTN 750 & P3D V3.3?

Recommended Posts

Help AVSIM continue to serve you!
Please donate today!

I edited your topic Title, there is no P3D V3.5 ... current release version is V3.3 ... I think perhaps you were thinking V3.3.5.

 

GTN750 works in P3D V3.3.5

 

Cheers, Rob.

Share this post


Link to post

I edited your topic Title, there is no P3D V3.5 ... current release version is V3.3 ... I think perhaps you were thinking V3.3.5.

 

GTN750 works in P3D V3.3.5

 

Cheers, Rob.

not in mine...just updated both hardware and software...downloaded latest version of gtn v1.14 and I am getting;

 

F! GTN Error "Incompatible simulator version, current version: 3.3.5.17625, these gauges will only work with P3D.  You are either running them in FSX SP2/Acceleration or a newer(unsupported) version of P3d."

 

Advice?

 

Thanks,

Chas

Share this post


Link to post

not in mine...just updated both hardware and software...downloaded latest version of gtn v1.14 and I am getting;

 

F! GTN Error "Incompatible simulator version, current version: 3.3.5.17625, these gauges will only work with P3D.  You are either running them in FSX SP2/Acceleration or a newer(unsupported) version of P3d."

 

Advice?

 

Thanks,

Chas

 

Run the updater, and make sure your antivirus didn't eat the updater when you installed the GTN. Under Programs in windows you should have a folder, " Flight 1 Aviation Technologies/F1T GTN series  a, and inside that folder one of the selections is F1 update tool. Run it as admin. 

Share this post


Link to post

 

 


make sure your antivirus didn't eat the updater
mmmm yummy too!  I had exclusions all over the place in my Eset SmartSecurity too...fixed

 

Thanks sir!

 

Chas

Share this post


Link to post

Ah, this had an updater, it solved the problem for me, thanks!

It said there was an 1.11 version for P3D, after the update the configuration tool shows 1.13, so all that is a bit weird but it seems to work.

I really wish they provided a convenient configuration tool though, the current one is painful and crashes every now and then. And since it's necessary to use it regularly because it's forgetting its settings, it makes it somewhat tedious.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this